Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw
Class CatalogClientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.portal.PortalException
                  org.deegree.portal.standard.csw.CatalogClientException

All Implemented Interfaces:
  Serializable

    public class CatalogClientException

extends PortalException

A `${type_name}` class.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.portal.PortalException
`st`

Constructor Summary
`CatalogClientException()` Creates a new instance of `CatalogClientException` without detail message.
`CatalogClientException(String msg)` Constructs an instance of `CatalogClientException` with the specified detail message.
`CatalogClientException(String msg, Exception e)` Constructs an instance of `CatalogClientException` with the specified detail message.

Method Summary

Methods inherited from class org.deegree.portal.PortalException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatalogClientException

    public CatalogClientException()

  Creates a new instance of `CatalogClientException` without detail message.

### CatalogClientException

    public CatalogClientException(String msg)

  Constructs an instance of `CatalogClientException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### CatalogClientException

    public CatalogClientException(String msg,
                                  Exception e)

  Constructs an instance of `CatalogClientException` with the specified detail message.

  Parameters:
    `msg` - the detail message.
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org